# $Revision: 1.8 $, $Date: 2012/01/30 11:28:55 $
Summary:	monitrc file for monitoring Apache web server
Summary(pl.UTF-8):	Plik monitrc do monitorowania serwera WWW Apache
Name:		monit-rc-apache
Version:	1.1
Release:	3
License:	GPL
Group:		Applications/System
Source0:	apache.monitrc
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,postun):	monit
Requires:	apache-base >= 2.2.3-8
Requires:	monit
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
monitrc file for monitoring Apache web server.

%description -l pl.UTF-8
Plik monitrc do monitorowania serwera WWW Apache.

%prep

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/monit

install %{SOURCE0} $RPM_BUILD_ROOT%{_sysconfdir}/monit/httpd.monitrc

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q monit restart

%postun
%service -q monit restart

%triggerpostun -- apache < 2.2.0
# rename monitrc to be service name like other files
if [ -f /etc/monit/apache.monitrc.rpmsave ]; then
	mv -f /etc/monit/httpd.monitrc{,.rpmnew}
	mv -f /etc/monit/{apache.monitrc.rpmsave,httpd.monitrc}
fi

%files
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/monit/*.monitrc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: monit-rc-apache.spec,v $
Revision 1.8  2012/01/30 11:28:55  glen
- release 3

Revision 1.7  2012/01/30 10:59:08  glen
- fix group (it's http in pld)

Revision 1.6  2008/12/27 10:44:30  gotar
- added %config and %verify flags

Revision 1.5  2007/02/13 06:46:54  glen
- tabs in preamble

Revision 1.4  2007/02/12 01:06:45  baggins
- converted to UTF-8

Revision 1.3  2006/11/21 12:26:59  qboosh
- install as httpd.monitrc

Revision 1.2  2006/11/21 12:23:23  qboosh
- setup not needed
- Requires(post,postun): monit (for restart)

Revision 1.1  2006/11/21 12:19:38  qboosh
- separated from apache.spec
